lv.lumii.layoutengine.flowLayout.horizontalOrdering.pqtree

## Class ObjectSeqComparator<T>

- java.lang.Object
- - lv.lumii.layoutengine.flowLayout.horizontalOrdering.pqtree.ObjectSeqComparator<T>

- Type Parameters:
    `T` - object type
  All Implemented Interfaces:
    java.util.Comparator<T>

      public class ObjectSeqComparator<T>
      extends java.lang.Object
      implements java.util.Comparator<T>

  This class compares two objects that have min and max int value associated with them. First they are compared by min values, but in case of tie max values are considered.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectSeqComparator(java.util.List<? extends java.util.Set<T>> sequenceRulesList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(T o1, T o2)` This method returns the result of comparison the given objects having min and max int values.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### ObjectSeqComparator

          public ObjectSeqComparator(java.util.List<? extends java.util.Set<T>> sequenceRulesList)

  - ### Method Detail

    - #### compare

          public int compare(T o1,
                             T o2)

      This method returns the result of comparison the given objects having min and max int values.
      Specified by:
        `compare` in interface `java.util.Comparator<T>`
      Parameters:
        `o1` - the first object to be compared.
        `o2` - the second object to be compared.
      Returns:
        the comparison code.